Package:Geany editor

From Funtoo
Revision as of 21:00, August 4, 2020 by Ventgrey (talk | contribs) (Extended Geany wiki page a little more)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Geany editor

   Tip

We welcome improvements to this page. To edit this page, Create a Funtoo account. Then log in and then click here to edit this page. See our editing guidelines to becoming a wiki-editing pro.

About

Geany is a text editor using the GTK+ toolkit with basic features of an integrated development environment. It was developed to provide a small and fast IDE, which has only a few dependencies from other packages. It supports many filetypes and has some nice features.

Geany has an extensive list of supported programming, scripting and markup languages, such as:

  • C
  • C++
  • Java
  • JavaScript
  • PHP
  • HTML
  • LaTeX
  • CSS
  • Python
  • Perl
  • Ruby
  • Pascal
  • Haskell
  • Erlang
  • Vala
  • ...and many others

Geany, while not in the position to compete with modern text editors such as sublime text or vscode it can easily replace or work like a traditional UNIX editor like Vim or Emacs, mostly because of it's easily extensible nature and it's codebase written in languages like C.

Geany also comes with features like autocompletion, markers, syntax highlighting, folding, automatic tag closing for markup languages, hints, symbols, terminal emulator, code navigators, custom build system for any language, project management and pluging development system.


Installation

Geany is available in the main repository:

root # emerge -av geany

If you wish to install geany and it's plugins you should run:

root # emerge -av geany geany-plugins